Bug 190482 - cvs-import.sh puts very large binary! files in CVS
cvs-import.sh puts very large binary! files in CVS
Status: CLOSED WORKSFORME
Product: Fedora Infrastructure
Classification: Retired
Component: cvs (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McGrath
Tom "spot" Callaway
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-02 15:53 EDT by Hans de Goede
Modified: 2009-09-14 09:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-14 09:54:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-05-02 15:53:52 EDT
Description of problem:
This has been discussed somewhat on f-e-l: I've created a package of the
background music for a game which I've packaged and once the packages was
approved I ran cvs-import.sh on the SRPM. Source0-Source3 were large (1-10Mb)
.ogg files still cvs-import.sh decided to put them in CVS.

Actual Result:
_Large_ binary files in CVS

Expected result:
Only text files in CVS, or atleast not _large_ binary files.

Additonal notes:
I've seen cvs-import do the same with smaller .ogg files and .png's used as icons.
Comment 1 Mike McGrath 2006-07-25 22:24:42 EDT
I'd be happy to fix this up but I'd like to know more about what the dev's would
expect the script to do.  What should happen to large binaries that are SourceX?
 How big is a large binary?  How do we notify the user that they have to do
something different with those binaries?
Comment 2 Hans de Goede 2006-07-26 02:54:35 EDT
(In reply to comment #1)
> What should happen to large binaries that are SourceX?
Same as with Source0: put in the lookaside cache

> How big is a large binary?
I tend to say all binaries belong outside of CVS. But sometimes a package
contains a small .png as icon. That could stay in CVS I guess so say anything >
20Kb ?

> How do we notify the user that they have to do
> something different with those binaries?
We don't upload them to the lookaside cache, put them in sources and .cvsignore
and things should then just work as normal.

Comment 3 Hans de Goede 2007-04-05 14:31:55 EDT
Notice that some time ago I got hit by this again, with a multiple MB large .bz
file, I think the current script works with file extensions, so atleast at .bz
to the list.

A better / real fix would be very welcome.
Comment 4 Mike McGrath 2007-04-08 01:23:45 EDT
Here's the problem, stuff that goes into cvs is version controlled.  Stuff that
goes in the repo is not.  I'm under the opinion that anything written by us
(something not upstream) should go in cvs and not the repo.
Comment 5 Hans de Goede 2007-04-08 01:37:40 EDT
Then how about putting files with a full URL in the look-aside and the rest in CVS?

Also here is my problem:
cvs-import foo
wait
get a 10 Mb mail from the commit as the commit mail contains a copy of some blob
as new in CVS file


Comment 6 Jeremy Katz 2007-04-09 11:12:20 EDT
(In reply to comment #4)
> Here's the problem, stuff that goes into cvs is version controlled.  Stuff that
> goes in the repo is not.  I'm under the opinion that anything written by us
> (something not upstream) should go in cvs and not the repo.

Even though it's not directly version controlled, we'll keep all the old
versions around.  They're stored on the server side in paths based on the
md5sum.  And given that they're binary files, that's not any more or less space
efficient than directly in CVS.

And it's definitely nice from the POV of not generating monster commit mails +
being easier to upload/download efficiently.
Comment 7 Mike McGrath 2007-04-09 11:48:22 EDT
If it's fine with the dev's its fine with me.  If someone submits a patch it
will greatly speed this fix up, otherwise I'll get to it in the next couple of
weeks.
Comment 8 Hans de Goede 2008-03-04 16:13:58 EST
Ugh, still not fixed, I got hit by this while trying to import a soundfont
package, where the source tarbal is a .sf2 (soundfont2) file, so it wanted to
put a 33MB file in cvs!

Luckily cvs-import.sh is interactive now a days so I could abort it before it
actually did that.
Comment 9 Ricky Zhou 2009-08-05 12:04:21 EDT
Hi, is this fixed now?  If not, can you please close this and file a ticket at https://fedorahosted.org/fedora-infrastructure/ (login with your FAS credentials)?  We aren't using bugzilla for tracking Infrastructure tasks anymore.
Comment 11 Tom "spot" Callaway 2009-09-14 09:54:44 EDT
Closing this out, please reopen if needed.

Note You need to log in before you can comment on or make changes to this bug.